Subject: bug#5687: closed (Re: bug#5687: 23.1; flyspell doublon at start of sentence)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 30 Jun 2011 22:51:02 +0000

Your bug report

#5687: 23.1; flyspell doublon at start of sentence

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
5687: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=5687
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#5687: 23.1; flyspell doublon at start of sentence
From: Lars Magne Ingebrigtsen <[email-masked]>
To: Kevin Ryde <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Jul 2011 00:49:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Kevin Ryde <[email-masked]> writes:

> M-x flyspell-buffer in a buffer containing
>
>     Likewise likewise
>
> doesn't highlight that as a doublon, where I hoped that it would, as is
> does for say lower case "likewise likewise".

Yeah, I think it should do likewise likewise, disregarding case.  I'm
checking in a change for this for Emacs 24.  It does mean that it'll
count ThIs this as a doublon, too, but I'm not sure that's a problem in
real life.

NASA nasa?

Anyway anyway.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

Subject: 23.1; flyspell doublon at start of sentence
From: Kevin Ryde <[email-masked]>
To: [email-masked]
Date: Sat, 06 Mar 2010 11:21:22 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

M-x flyspell-buffer in a buffer containing

    Likewise likewise

doesn't highlight that as a doublon, where I hoped that it would, as is
does for say lower case "likewise likewise".

I struck this when I doubled-up at the start of a sentence.  Maybe some
programming abbreviation things ought to be case sensitive, but I think
a first letter capital like this should be insensitive.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.16.5)
 of 2009-09-14 on raven, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU
  value of $XMODIFIERS: nil
  locale-coding-system: iso-latin-1-unix
  default-enable-multibyte-characters: t